I installed Oracle 8.0.3.0 in XP here my doubt is Whether Oracle 8.0.3.0 supports JDBC?

I'm not sure that JDBC is supported for that Version of Oracle. I would recomend installing at least ORACLE 8.1.7 , referrably Oracle 9iR2 Check the following for JDBC drivers for 8.1.7 http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc817.html